Bug 239410 - kspreadsheet:openoffice: Image is not displayed correctly with the temperatures in the map
Summary: kspreadsheet:openoffice: Image is not displayed correctly with the temperatur...
Status: VERIFIED FIXED
Alias: None
Product: calligracommon
Classification: Unclassified
Component: path-shapes (show other bugs)
Version: unspecified
Platform: unspecified All
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Bugs
URL:
Keywords: reproducible
Depends on:
Blocks:
 
Reported: 2010-01-21 11:31 UTC by Lassi Nieminen
Modified: 2012-10-16 14:17 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Test data created in open office spread (76.97 KB, application/x-zip-compressed)
2010-01-21 11:31 UTC, Lassi Nieminen
Details
Screen shot when viewed in kspread (182.54 KB, image/pjpeg)
2010-01-21 11:31 UTC, Lassi Nieminen
Details
Screen shot when viewed in open office (214.08 KB, image/pjpeg)
2010-01-21 11:32 UTC, Lassi Nieminen
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Faure 2010-05-28 03:17:01 UTC


---- Reported by lassi.ta.nieminen@nokia.com 2010-01-21 12:31:05 +0200 ----

Created an attachment
Test data created in open office spread

Test data created in open office

SOFTWARE VERSION:
  Kubuntu 9.04
  Koffice (svn version 1076388)
  Test document (open office): oos_EuroOffice_Map_Chart.ods

HARDWARE VERSION:

PRECONDITIONS: 

STEPS LEADING TO PROBLEM: 
  1. Open the attached document in open office.
  2. Open the same document in KSpread.
  3. Observe that chart is not displayed correctly with the temperatures in the map.

EXPECTED OUTCOME:
Chart should be displayed properly in the map
ACTUAL OUTCOME:
Chart is not displayed correctly with the temperatures in the map.

FREQUENCY OF OCCURRENCE: 
always



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-01-21 12:31:47 +0200 ----

Created an attachment
Screen shot when viewed in kspread



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-01-21 12:32:18 +0200 ----

Created an attachment
Screen shot when viewed in open office



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-02-25 15:30:04 +0200 ----

Changing severity to enhancement



---- Additional Comments From lassi.ta.nieminen@nokia.com 2010-03-10 12:57:54 +0200 ----

Changing sub-component to Community



--- Bug imported by faure@kde.org 2010-05-28 03:17  ---

This bug was previously known as _bug_ 153921.

Imported an attachment (id=45480)
Imported an attachment (id=45481)
Imported an attachment (id=45482)

Unknown bug field "example" encountered while moving bug
   <example>2010-03-10 12:57:54</example>
Unknown Component Community
   Using default product and component set in Parameters 

Comment 1 Inge Wallin 2011-05-16 16:05:39 UTC
There is some form of transformation error here.  But this may not be the simplest of test files to look at.
Comment 2 Halla Rempt 2012-04-16 15:35:48 UTC
Not a wish, but a bug.
Comment 3 T Zachmann 2012-05-05 04:41:46 UTC
Git commit 72d18c9e86f41909dede9d7dee396286a848f0c3 by Thorsten Zachmann.
Committed on 05/05/2012 at 06:37.
Pushed by zachmann into branch 'master'.

Add workaround for loading partial circles from OO

When saving a partion circle/ellipse LO/OO saved the svg:width, svg:height
svg:x and svg:y as there would be a full circle. However according to ODF the
values should be dervived from the bounding box of the displayed shape.

This fixes the problem that the circles in the file attached to the bugreport are displayed
correctly.

OK to backport?

M  +11   -0    libs/flake/KoOdfWorkaround.cpp
M  +7    -0    libs/flake/KoOdfWorkaround.h
M  +7    -1    plugins/pathshapes/ellipse/EllipseShape.cpp

http://commits.kde.org/calligra/72d18c9e86f41909dede9d7dee396286a848f0c3
Comment 4 swathi 2012-10-16 14:17:27 UTC
Verified in git commit ad0416095c417a8cfa55306ea8959ac0ef4460bb.